<?php
// filmeverwaltung - index.php          Copyright (C) 2009 Oliver Burger
// oliver [at] mandrivauser [dot] de    http://www.mandrivauser.de
//
// This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

	// Funktionen
	// compare-Funktion zum Sortieren des zweidimensionalen Arrays nach genre
	function compare_genre($x, $y)
	{
		if ( $x[1] == $y[1] )
		{
			if ( $x[0] == $y[0] )
				$ausgabe = 0;
			else
				$ausgabe = ($x[0] < $y[0]) ? -1 : 1;
		}
		else
			$ausgabe = ($x[1] < $y[1]) ? -1 : 1;
		return $ausgabe;
	}

	// Deklaration der benoetigten Arrays
	$raw_register = array();
	$register = array();
	$raw_genre_filter = array();
	$genre_filter = array();
	$genre_list = array();

	// Einlesen der Dateien
	// cd-register
	$data_file = fopen("data/cd-register","r");
	while(!feof($data_file))
	{
		$zeile = fgets($data_file,1024);
		$raw_register[] = $zeile;
	}
	fclose($data_file);

	// genre
	$genre_file = fopen("data/genre","r");
	while(!feof($genre_file))
	{
		$zeile = fgets($genre_file,128);
		$genre_list[] = $zeile;
	}
	fclose($genre_file);
		

	// Erstellen der Haupt-Arrays
	for($i = 0; $i < count($raw_register); $i++)
	{
		$register[$i] = explode("|",$raw_register[$i]);
	}

	// Sortierung nach genre
	usort($register, 'compare_genre');


	// beginnendes HTML-Gedöhns
	echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
	<HTML>
	<Head>
	<Title>
		CD-Register
	</Title>
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
	<link rel=stylesheet type=\"text/css\" href=\"./style.css\">
	</Head>
	<Body bgcolor=\"#f0f0ff\" text=\"#000044\">";

	echo "<h1>Filmesammlungs-Verwaltung</h1>
		<p>Hier haben Sie eine &Uuml;bersicht &uuml;ber Ihre Sammlung</p><br />";
	echo "&nbsp;|&nbsp; <font color=\"#cc00cc\" size=\"+1\">
		<b>&Uuml;bersicht</b></font> &nbsp;|&nbsp;
		<a href=\"./einlesen.php\">Einlesen neuer Filme</a>&nbsp;|&nbsp;
		<a href=\"./korrektur.php\">Korrektur von Eintr&auml;gen</a>&nbsp;|&nbsp<br /><br />";
	echo "Sortierung nach &nbsp;|&nbsp;
		<a href=\"./index.php\">Eingabe-Reihenfolge</a> &nbsp;|&nbsp;
		<a href=\"./index.php?sortieren=mendien_nummer\">Medien-Nummer</a> &nbsp;|&nbsp;
		<a href=\"./index.php?sortieren=filmname\">Filmname</a> &nbsp;|&nbsp;
		<a href=\"./index.php?sortieren=genre\">Genre</a> &nbsp;|&nbsp;<br /><br />";

	// Auswahl der Genres
	echo "<form action=\"./filter.php\" method=\"post\">
		<p>Kreuzen Sie die gew&uuml;nschten Genres an:</p>
		<table>";
	for($j=0; $j<count($genre_list)-1; $j=$j+4)
	{
		echo "<tr>";
		for($k=0; $k<4; $k++)
		{
			$zaehler = $j + $k;
			if($genre_list[$zaehler] != "")
				echo "<td>
				<input type=\"checkbox\" name=\"genre_filter".$zaehler."\" value=\"
				".$genre_list[$zaehler]."\">".$genre_list[$zaehler]."</td>";
		}
		echo "</tr>";
	}
	echo "</table>
		<center><input type=\"Submit\" value=\"Absenden\"></center>
		</form><br />";

	for($i=0; $i<20; $i++)
	{
		$genre_filter_raw[] = $_POST["genre_filter".$i];
		if($genre_filter_raw[$i] != "")
		{
			$genre_filter[]=$genre_filter_raw[$i];
		}
	}
	
	// Ausgabe der Tabelle
	if(count($genre_filter) > 0)
	{
		echo "<table border=1 width=\"98%\" align=\"center\">
			<tr><th width=\"30%\">Titel</th>
			<th width=\"15%\">Genre</th>
			<th width=\"30%\">Schauspieler</th>
			<th width=\"10%\">CD-Case</th>
			<th width=\"15%\">Nummer</th></tr>";
		for($i=0;$i<count($register);$i++)
		{
			if(in_array($register[$i][1],$genre_filter))
			{
				echo "<tr><td>".$register[$i][0]."</td>
					<td>".$register[$i][1]."</td>
					<td>".$register[$i][2]."</td>
					<td>".$register[$i][3]."</td>
					<td>".$register[$i][4]."</td></tr>";
			}
		}
		echo "</table>";
	}

	// abschließendes HTML-Gedöhns...
	echo "</Body>
	</HTML>";

?>
